### Method

# GUPnP Context set_subscription_timeout

#### Declaration [src]

    void
    gupnp_context_set_subscription_timeout (
      GUPnPContext* context,
      guint timeout
    )

#### Description [src]

Sets the event subscription timeout to `timeout`. Use 0 if you don’t want subscriptions to time out. Note that any client side subscriptions will automatically be renewed.

Sets property | `GUPnP.Context:subscription-timeout`

#### Parameters

`timeout`

  Type: `guint`

  Event subscription timeout in seconds.